Bug 6351 - Cannot delete library-specific circulation rules
Summary: Cannot delete library-specific circulation rules
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: D Ruth Holloway
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-17 11:21 UTC by D Ruth Holloway
Modified: 2012-10-25 23:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.03 KB, patch)
2011-05-17 11:49 UTC, D Ruth Holloway
Details | Diff | Splinter Review
Patch, tested and signed off (1.14 KB, patch)
2011-05-17 17:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Proposed Followup Patch (2.19 KB, patch)
2011-08-30 17:52 UTC, Ian Walls
Details | Diff | Splinter Review
[Signed Off] Bug 6351: Cannot delete library-specific holds polices and checkout limits (2.44 KB, patch)
2011-08-30 18:07 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description D Ruth Holloway 2011-05-17 11:21:20 UTC
Adding and deleting rules for "All" libraries works fine; if you add a rule for a specific library, however, then an attempt to delete it will take you back to the "All" page, and not actually delete the rule.  No errors are being thrown to the logs, as far as I can tell, so it doesn't seem to be malformed SQL or anything *easy* like that.
Comment 1 D Ruth Holloway 2011-05-17 11:32:51 UTC
Katrin is a GENIUS!  The URL for the "Delete" link does not contain a branchcode; that may well be the root to the problem...a templating issue.

Manually repairing the URL with the branchcode causes the command to work properly.
Comment 2 D Ruth Holloway 2011-05-17 11:49:37 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2011-05-17 17:10:15 UTC
Created attachment 4148 [details] [review]
Patch, tested and signed off
Comment 4 Ian Walls 2011-05-25 20:57:15 UTC
Easy to read to confirm.  Marking as Passed QA.
Comment 5 Chris Cormack 2011-05-27 09:08:15 UTC
Pushed, please test
Comment 6 Katrin Fischer 2011-08-05 20:02:27 UTC
Deleting rules for 'all libraries' works without problems on current master. Marking fixed.
Comment 7 Ian Walls 2011-08-30 17:48:14 UTC
While this fix works just fine, there are additional areas on the Circulation Fines and Rules page that have a similar error. Holds Policies by item type and Checkout Limits by patron category cannot be deleted due to a T:T scope issue.  Patch forthcoming.
Comment 8 Ian Walls 2011-08-30 17:52:16 UTC Comment hidden (obsolete)
Comment 9 Liz Rea 2011-08-30 18:07:42 UTC
Created attachment 5229 [details] [review]
[Signed Off] Bug 6351: Cannot delete library-specific holds polices and checkout limits

Template::Toolkit scope error on delete links on Checkout Limit by Patron Category
and Holds Policy by Item Type areas.

Testing Results:
Tested adding and removing Checkout Limits by Patron Category - both work
Tested adding and removing Holds Policies by ItemTypes - both work

Signed-off-by: Liz Rea <lrea@nekls.org>
Comment 10 Ian Walls 2011-08-30 18:22:13 UTC
Since it is a template only change, even though I'm the author, I'm going to mark this as Passed QA.  Please object, anyone, if you take issue.
Comment 11 Chris Cormack 2011-09-01 09:40:38 UTC
Pushed please test
Comment 12 Chris Nighswonger 2011-10-26 18:02:38 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.